Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::Source Class Reference

Inheritance diagram for osgTerrain::DataSet::Source:

[legend]
List of all members.

## Public Types
typedef std::vector< ResolutionPair > | ResolutionList
enum | Type { IMAGE, HEIGHT_FIELD, MODEL }
enum | ParameterPolicy { PREFER_CONFIG_SETTINGS, PREFER_CONFIG_SETTINGS_BUT_SCALE_BY_FILE_RESOLUTION, PREFER_FILE_SETTINGS }
## Public Member Functions
| Source ()
| Source (Type type, const std::string &filename)
void | setSortValue (double s)
double | getSortValue () const
void | setSortValueFromSourceDataResolution ()
void | setType (Type type)
Type | getType () const
void | setFileName (const std::string &filename)
const std::string & | getFileName () const
void | setTemporaryFile (bool temporaryFile)
bool | getTemporaryFile () const
void | setCoordinateSystemPolicy (ParameterPolicy policy)
ParameterPolicy | getCoordinateSystemPolicy () const
void | setCoordinateSystem (const std::string &wellKnownText)
void | setCoordinateSystem (osg::CoordinateSystemNode *cs)
osg::CoordinateSystemNode * | getCoordinateSystem ()
void | setGeoTransformPolicy (ParameterPolicy policy)
ParameterPolicy | getGeoTransformPolicy () const
void | setGeoTransform (osg::Matrixd &transform)
osg::Matrixd & | getGeoTransform ()
void | setGeoTransformFromRange (double xMin, double xMax, double yMin, double yMax)
void | assignCoordinateSystemAndGeoTransformAccordingToParameterPolicy ()
void | setMinLevel (unsigned int minLevel)
void | setMaxLevel (unsigned int maxLevel)
void | setMinMaxLevel (unsigned int minLevel, unsigned int maxLevel)
unsigned int | getMinLevel () const
unsigned int | getMaxLevel () const
void | setLayer (unsigned int layer)
unsigned int | getLayer () const
void | setSourceData (SourceData *data)
SourceData * | getSourceData ()
bool | intersects (const SpatialProperties &sp) const
void | loadSourceData ()
bool | needReproject (const osg::CoordinateSystemNode *cs) const
bool | needReproject (const osg::CoordinateSystemNode *cs, double minResolution, double maxResolution) const
Source * | doReproject (const std::string &filename, osg::CoordinateSystemNode *cs, double targetResolution=0.0) const
void | buildOverviews ()
void | addRequiredResolution (double resX, double resY)
void | setRequiredResolutions (ResolutionList &resolutions)
ResolutionList & | getRequiredResolutions ()
const ResolutionList & | getRequiredResolutions () const
void | consolodateRequiredResolutions ()
## Protected Attributes
Type | _type
double | _sortValue
std::string | _filename
bool | _temporaryFile
ParameterPolicy | _coordinateSystemPolicy
ParameterPolicy | _geoTransformPolicy
unsigned int | _minLevel
unsigned int | _maxLevel
unsigned int | _layer
osg::ref_ptr< SourceData > | _sourceData
ResolutionList | _requiredResolutions

## Member Typedef Documentation

typedef std::vector<ResolutionPair> osgTerrain::DataSet::Source::ResolutionList

## Member Enumeration Documentation

enum osgTerrain::DataSet::Source::ParameterPolicy

  | Enumeration values:
  PREFER_CONFIG_SETTINGS |
  PREFER_CONFIG_SETTINGS_BUT_SCALE_BY_FILE_RESOLUTION |
  PREFER_FILE_SETTINGS |

enum osgTerrain::DataSet::Source::Type

  | Enumeration values:
  IMAGE |
  HEIGHT_FIELD |
  MODEL |

## Constructor & Destructor Documentation

osgTerrain::DataSet::Source::Source | ( |  | ) | `[inline]`

osgTerrain::DataSet::Source::Source | ( | Type | type,
|  | const std::string & | filename
| ) | `[inline]`

## Member Function Documentation

void osgTerrain::DataSet::Source::addRequiredResolution | ( | double | resX,
|  | double | resY
| ) | `[inline]`

void osgTerrain::DataSet::Source::assignCoordinateSystemAndGeoTransformAccordingToParameterPolicy | ( |  | ) |

void osgTerrain::DataSet::Source::buildOverviews | ( |  | ) |

void osgTerrain::DataSet::Source::consolodateRequiredResolutions | ( |  | ) |

Source* osgTerrain::DataSet::Source::doReproject | ( | const std::string & | filename,
|  | osg::CoordinateSystemNode * | cs,
|  | double | targetResolution = 0.0
| ) | const

osg::CoordinateSystemNode* osgTerrain::DataSet::Source::getCoordinateSystem | ( |  | ) | `[inline]`

ParameterPolicy osgTerrain::DataSet::Source::getCoordinateSystemPolicy | ( |  | ) | const`[inline]`

const std::string& osgTerrain::DataSet::Source::getFileName | ( |  | ) | const`[inline]`

osg::Matrixd& osgTerrain::DataSet::Source::getGeoTransform | ( |  | ) | `[inline]`

ParameterPolicy osgTerrain::DataSet::Source::getGeoTransformPolicy | ( |  | ) | const`[inline]`

unsigned int osgTerrain::DataSet::Source::getLayer | ( |  | ) | const`[inline]`

unsigned int osgTerrain::DataSet::Source::getMaxLevel | ( |  | ) | const`[inline]`

unsigned int osgTerrain::DataSet::Source::getMinLevel | ( |  | ) | const`[inline]`

const ResolutionList& osgTerrain::DataSet::Source::getRequiredResolutions | ( |  | ) | const`[inline]`

ResolutionList& osgTerrain::DataSet::Source::getRequiredResolutions | ( |  | ) | `[inline]`

double osgTerrain::DataSet::Source::getSortValue | ( |  | ) | const`[inline]`

SourceData* osgTerrain::DataSet::Source::getSourceData | ( |  | ) | `[inline]`

bool osgTerrain::DataSet::Source::getTemporaryFile | ( |  | ) | const`[inline]`

Type osgTerrain::DataSet::Source::getType | ( |  | ) | const`[inline]`

bool osgTerrain::DataSet::Source::intersects | ( | const SpatialProperties & | sp | ) | const`[inline]`

void osgTerrain::DataSet::Source::loadSourceData | ( |  | ) |

bool osgTerrain::DataSet::Source::needReproject | ( | const osg::CoordinateSystemNode * | cs,
|  | double | minResolution,
|  | double | maxResolution
| ) | const

bool osgTerrain::DataSet::Source::needReproject | ( | const osg::CoordinateSystemNode * | cs | ) | const

void osgTerrain::DataSet::Source::setCoordinateSystem | ( | osg::CoordinateSystemNode * | cs | ) | `[inline]`

void osgTerrain::DataSet::Source::setCoordinateSystem | ( | const std::string & | wellKnownText | ) | `[inline]`

void osgTerrain::DataSet::Source::setCoordinateSystemPolicy | ( | ParameterPolicy | policy | ) | `[inline]`

void osgTerrain::DataSet::Source::setFileName | ( | const std::string & | filename | ) | `[inline]`

void osgTerrain::DataSet::Source::setGeoTransform | ( | osg::Matrixd & | transform | ) | `[inline]`

void osgTerrain::DataSet::Source::setGeoTransformFromRange | ( | double | xMin,
|  | double | xMax,
|  | double | yMin,
|  | double | yMax
| ) | `[inline]`

void osgTerrain::DataSet::Source::setGeoTransformPolicy | ( | ParameterPolicy | policy | ) | `[inline]`

void osgTerrain::DataSet::Source::setLayer | ( | unsigned int | layer | ) | `[inline]`

void osgTerrain::DataSet::Source::setMaxLevel | ( | unsigned int | maxLevel | ) | `[inline]`

void osgTerrain::DataSet::Source::setMinLevel | ( | unsigned int | minLevel | ) | `[inline]`

void osgTerrain::DataSet::Source::setMinMaxLevel | ( | unsigned int | minLevel,
|  | unsigned int | maxLevel
| ) | `[inline]`

void osgTerrain::DataSet::Source::setRequiredResolutions | ( | ResolutionList & | resolutions | ) | `[inline]`

void osgTerrain::DataSet::Source::setSortValue | ( | double | s | ) | `[inline]`

void osgTerrain::DataSet::Source::setSortValueFromSourceDataResolution | ( |  | ) |

void osgTerrain::DataSet::Source::setSourceData | ( | SourceData * | data | ) | `[inline]`

void osgTerrain::DataSet::Source::setTemporaryFile | ( | bool | temporaryFile | ) | `[inline]`

void osgTerrain::DataSet::Source::setType | ( | Type | type | ) | `[inline]`

## Member Data Documentation

ParameterPolicy osgTerrain::DataSet::Source::_coordinateSystemPolicy`[protected]`

std::string osgTerrain::DataSet::Source::_filename`[protected]`

ParameterPolicy osgTerrain::DataSet::Source::_geoTransformPolicy`[protected]`

unsigned int osgTerrain::DataSet::Source::_layer`[protected]`

unsigned int osgTerrain::DataSet::Source::_maxLevel`[protected]`

unsigned int osgTerrain::DataSet::Source::_minLevel`[protected]`

ResolutionList osgTerrain::DataSet::Source::_requiredResolutions`[protected]`

double osgTerrain::DataSet::Source::_sortValue`[protected]`

osg::ref_ptr<SourceData> osgTerrain::DataSet::Source::_sourceData`[protected]`

bool osgTerrain::DataSet::Source::_temporaryFile`[protected]`

Type osgTerrain::DataSet::Source::_type`[protected]`

The documentation for this class was generated from the following file:

- DataSet